6.0.0-git
2018-12-15

[#5317] dblookup field extension
Summary dblookup field extension
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester duck (at) obala (dot) net
Created 2007-04-30 (4247 days ago)
Due
Updated 2008-04-01 (3910 days ago)
Assigned
Resolved
Milestone
Patch Yes

History
2008-04-01 03:17:11 Chuck Hagenbuch Patch ⇒ Yes
 
2008-03-31 22:23:46 Jan Schneider State ⇒ Accepted
 
2008-03-31 19:58:36 pp (at) dia (dot) uva (dot) nl Comment #4
New Attachment: Form.php.diff Download
Reply to this comment
Hey, here's another implementation of the suggested improvement of the 
dblookup form type so it can properly handle foreign keys (not just in 
cases where the key equals the value).
2007-05-12 20:50:30 Chuck Hagenbuch Comment #3
State ⇒ Rejected
Reply to this comment
Marking as rejected for now. Might be superceded by new Horde_Form 
with helpers, might not be.
2007-05-02 12:06:23 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
This breaks the old behavior. getAll() returns a two dimensional 
array, even if you query only a single column. getCol() returns a 
simple array. Beside that, the error check is wrong because it 
evaluates to true if $results is a PEAR_Error.
2007-04-30 14:20:20 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ dblookup field extension
Queue ⇒ Horde Framework Packages
New Attachment: dblookup.diff Download
Reply to this comment
Be more flexible in the dblookup field. Now we retrieve only the first 
column, with this patch if the second column is returned by the query, 
it would be used as option name.

Saved Queries